--[[
FlaskMinder English language localisation

Author: DigitalSorceress
Date: 2009/04/27
Version: 0.0.04
]]

-- Sets up the AceLocale for this addon with enUS as default localisation
local L = LibStub("AceLocale-3.0"):NewLocale("FlaskMinder", "enUS", true)

--------------------------------------------------------------------------------
-- Chat commands
--------------------------------------------------------------------------------
L["FULL_SLASH_CMD"] = "flaskminder"
L["SHORT_SLASH_CMD"] = "fm"
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- Debugging stuff
--------------------------------------------------------------------------------
L["DEBUG_OPTIONS_NAME"] = "Debugging Options"

L["DEBUG_NAME"] = "Show Debug Level"
L["DEBUG_DESC"] = "Toggles whether to output debugging messages or not."

L["BLATHER_NAME"] = "Show Blather Level"
L["BLATHER_DESC"] = "Toggles whether to output massively chatty debugging messages or not."
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- Sound Picker
--------------------------------------------------------------------------------
L["DEFAULT_SOUND_GROUP_NAME"] = "Default Warning Sound"
L["DEFAULT_SOUND_GROUP_DESC"] = [[
This is the sound that will play by default when certain important events happen within FlaskMinder.

By default, any options with specific sounds will be set to use this sound as well, but may have overrides on their config pages.
]]

L["PICK_SOUND_NAME"] = "Pick a Sound"
L["PICK_SOUND_DESC"] = "Choose a sound to accompany this option."
L["PICK_SOUND_TEST"] = "Test Chosen Sound"
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- Addon's main description
--------------------------------------------------------------------------------
L["MAIN_DESCRIPTION"] = [[
FlaskMinder is a simple utility that will warn you when your flask (battle/guardian elixir) is about to expire, and again when it has expired.

Currently also able to track food buffs, but have not added rogue poisions yet.
]]
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- Filter Options
--------------------------------------------------------------------------------

L["FILTER_OPTIONS_NAME"] = "Filter Options"
L["FILTER_OPTIONS_DESC"] = [[
These are options to control the group/instance conditions under which you will be alerted by FlaskMinder.

Note that Instance options take precidense over the group options, so checking notify in raid group, but NOT checking instance will mean that you will only be notified when you are in a raid group, but NOT in an instance.
]]

L["INSTANCE_FILTER_GROUP_NAME"] = "Instance Filters"
L["INSTANCE_FILTER_GROUP_DESC"] = [[
These filters apply regardless of your group settings... if you're soloing an instance, and you have '5-man' checked, you will be alerted.
]]
L["INSTANCE_FILTER_SOLO_NAME"] = "Solo"
L["INSTANCE_FILTER_SOLO_DESC"] = "Not in ANY instance"
L["INSTANCE_FILTER_PARTY_NAME"] = "5-man"
L["INSTANCE_FILTER_PARTY_DESC"] = "In a 5-man instance ... regardless of group type or difficulty setting"
L["INSTANCE_FILTER_RAID_NAME"] = "Raid"
L["INSTANCE_FILTER_RAID_DESC"] = "In a raid instance, normal OR Heroic"
L["INSTANCE_FILTER_BG_NAME"] = "Battlegrounds"
L["INSTANCE_FILTER_BG_DESC"] = "In a battleground (though NOT arenas)"

L["GROUP_FILTER_GROUP_NAME"] = "Group Filters"
L["GROUP_FILTER_GROUP_DESC"] = [[
These apply when you are NOT in an instance or battleground.

Check those grooup types (or solo) where you want to have FlaskMinder remind you about your consumables when NOT in instances.
]]
L["GROUP_FILTER_SOLO_NAME"] = "Solo"
L["GROUP_FILTER_SOLO_DESC"] = "Check this if you want FlaskMinder warnings even when you are on your own"
L["GROUP_FILTER_PARTY_NAME"] = "Party"
L["GROUP_FILTER_PARTY_DESC"] = "Check this if you want FlaskMinder warnings when in a (non-raid)party"
L["GROUP_FILTER_RAID_NAME"] = "Raid"
L["GROUP_FILTER_RAID_DESC"] = "Check this if you want FlaskMinder warnings when in a raid group"



--------------------------------------------------------------------------------
-- FlaskMinder Help Menu
--------------------------------------------------------------------------------
L["HELP_MENU"] = [[
Help Menu
------------------------------
COMMANDS:

  Bring up the main options window
  /flaskminder
  /fm

  Show this help menu
  /flaskminder help

  Force immediate buff check
  /flaskminder check
  /flaskminder force
]]
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- The lists of flasks were already figured out by Taken from AntiSlack by Battleguard of Balnazzar
--------------------------------------------------------------------------------

-- Names of Flasks. Remember, these names must match the name of the BUFFS (not the potions) in-game, otherwise the addon will not recognize them.
-- If you're unsure about a name, you can use the Wowhead links to check.
L["FLASK_LIST"] = {
  "Flask of Fortification", -- http://www.wowhead.com/?spell=28518
  "Flask of the Titans", -- http://www.wowhead.com/?spell=17626
  "Flask of Relentless Assault", -- http://www.wowhead.com/?spell=28520
  "Distilled Wisdom", -- http://www.wowhead.com/?spell=17627
  "Flask of Mighty Restoration", -- http://www.wowhead.com/?spell=28519
  "Supreme Power", -- http://www.wowhead.com/?spell=17628
  "Flask of Blinding Light", -- http://www.wowhead.com/?spell=28521
  "Flask of Pure Death", -- http://www.wowhead.com/?spell=28540
  "Chromatic Resistance", -- http://www.wowhead.com/?spell=17629
  "Petrification", -- http://www.wowhead.com/?spell=17624
  "Chromatic Wonder", -- http://www.wowhead.com/?spell=42735
  "Unstable Flask of the Bandit", -- http://www.wowhead.com/?spell=40567
  "Unstable Flask of the Beast", -- http://www.wowhead.com/?spell=40572
  "Unstable Flask of the Elder", -- http://www.wowhead.com/?spell=40568
  "Unstable Flask of the Physician", -- http://www.wowhead.com/?spell=40573
  "Unstable Flask of the Soldier", -- http://www.wowhead.com/?spell=40575
  "Unstable Flask of the Sorcerer", -- http://www.wowhead.com/?spell=40576
  "Relentless Assault of Shattrath", -- http://www.wowhead.com/?spell=41608
  "Fortification of Shattrath", -- http://www.wowhead.com/?spell=41609
  "Mighty Restoration of Shattrath", -- http://www.wowhead.com/?spell=41610
  "Supreme Power of Shattrath", -- http://www.wowhead.com/?spell=41611
  "Blinding Light of Shattrath", -- http://www.wowhead.com/?spell=46839
  "Pure Death of Shattrath", -- http://www.wowhead.com/?spell=46837
  "Lesser Flask of Toughness", -- http://www.wowhead.com/?spell=53752
  "Flask of Endless Rage", -- http://www.wowhead.com/?spell=53760
  "Flask of Pure Mojo", -- http://www.wowhead.com/?spell=54212
  "Flask of Stoneblood", -- http://www.wowhead.com/?spell=53758
  "Flask of the Frost Wyrm" -- http://www.wowhead.com/?spell=53755
}


-- Names of Guardian Elixirs. Remember, these names must match the name of the BUFFS (not the potions) in-game, otherwise the addon will not recognize them.
-- If you're unsure about a name, you can use the Wowhead links to check.
L["GUARDIAN_LIST"] = {
		"Juju Guile", -- http://www.wowhead.com/?spell=16327
		"Elixir of Draenic Wisdom", -- http://www.wowhead.com/?spell=39627
		"Infallible Mind", -- http://www.wowhead.com/?spell=10692
		"Elixir of the Sages", -- http://www.wowhead.com/?spell=17535
		"Greater Intellect", -- http://www.wowhead.com/?spell=11396
		"Lesser Intellect", -- http://www.wowhead.com/?spell=3166
		"Spirit of Zanza", -- http://www.wowhead.com/?spell=24382
		"Crystal Force", -- http://www.wowhead.com/?spell=15231
		"Spiritual Domination", -- http://www.wowhead.com/?spell=10693
		"Greater Mana Regeneration", -- http://www.wowhead.com/?spell=28509
		"Mageblood Elixir", -- http://www.wowhead.com/?spell=24363
		"Empowerment", -- http://www.wowhead.com/?spell=28514
		"Elixir of Major Fortitude", -- http://www.wowhead.com/?spell=39625
		"Spirit of Boar", -- http://www.wowhead.com/?spell=10668
		"Elixir of Fortitude", -- http://www.wowhead.com/?spell=3593
		"Health", -- http://www.wowhead.com/?spell=2378
		"Major Troll's Blood Elixir", -- http://www.wowhead.com/?spell=24361
		"Mighty Troll's Blood Elixir", -- http://www.wowhead.com/?spell=3223
		"Strong Troll's Blood Elixir", -- http://www.wowhead.com/?spell=3222
		"Weak Troll's Blood Elixir", -- http://www.wowhead.com/?spell=3219
		"Elixir of Ironskin", -- http://www.wowhead.com/?spell=39628
		"Major Armor", -- http://www.wowhead.com/?spell=28502
		"Crystal Ward", -- http://www.wowhead.com/?spell=15233
		"Greater Armor", -- http://www.wowhead.com/?spell=11348
		"Armor", -- http://www.wowhead.com/?spell=3220 and http://www.wowhead.com/?spell=11349
		"Lesser Armor", -- http://www.wowhead.com/?spell=673 and http://www.wowhead.com/?spell=54497
		"Juju Escape", -- http://www.wowhead.com/?spell=16321
		"Sheen of Zanza", -- http://www.wowhead.com/?spell=24417
		"Earthen Elixir", -- http://www.wowhead.com/?spell=39626
		"Juju Ember", -- http://www.wowhead.com/?spell=16326
		"Juju Chill", -- http://www.wowhead.com/?spell=16325
		"Gift of Arthas", -- http://www.wowhead.com/?spell=11371
		"Swiftness of Zanza", -- http://www.wowhead.com/?spell=24383
		"Water Walking", -- http://www.wowhead.com/?spell=11319
		"Elixir of Spirit", -- http://www.wowhead.com/?spell=53747
		"Elixir of Mighty Fortitude", -- http://www.wowhead.com/?spell=53751
		"Mighty Thoughts", -- http://www.wowhead.com/?spell=60347
		"Mighty Defense", -- http://www.wowhead.com/?spell=60343
		"Mighty Mana Regeneration", -- http://www.wowhead.com/?spell=53764
		"Protection" -- http://www.wowhead.com/?spell=53763
		}

-- Names of Battle Elixirs. Remember, these names must match the name of the BUFFS (not the potions) in-game, otherwise the addon will not recognize them.
-- If you're unsure about a name, you can use the Wowhead links to check.
L["BATTLE_LIST"] = {
		"Elixir of Mastery", -- http://www.wowhead.com/?spell=33726
		"Major Agility", -- http://www.wowhead.com/?spell=54494
		"Elixir of the Mongoose", -- http://www.wowhead.com/?spell=17538
		"Strike of the Scorpok", -- http://www.wowhead.com/?spell=10669
		"Greater Agility", -- http://www.wowhead.com/?spell=11334
		"Agility", -- http://www.wowhead.com/?spell=11328 and http://www.wowhead.com/?spell=3160
		"Lesser Agility", -- http://www.wowhead.com/?spell=2374
		"Juju Power", -- http://www.wowhead.com/?spell=16323
		"Elixir of Brute Force", -- http://www.wowhead.com/?spell=17537
		"Rage of Ages", -- http://www.wowhead.com/?spell=10667
		"Elixir of the Giants", -- http://www.wowhead.com/?spell=11405
		"Strength", -- http://www.wowhead.com/?spell=3164
		"Enlarge", -- http://www.wowhead.com/?spell=8212
		"Lesser Strength", -- http://www.wowhead.com/?spell=2367
		"Fel Strength Elixir", -- http://www.wowhead.com/?spell=38954
		"Juju Might", -- http://www.wowhead.com/?spell=16329
		"Onslaught Elixir", -- http://www.wowhead.com/?spell=33720
		"Winterfall Firewater", -- http://www.wowhead.com/?spell=17038
		"Elixir of Demonslaying", -- http://www.wowhead.com/?spell=11406
		"Juju Flurry", -- http://www.wowhead.com/?spell=16322
		"Healing Power", -- http://www.wowhead.com/?spell=28491
		"Adept's Elixir", -- http://www.wowhead.com/?spell=54452
		"Greater Arcane Elixir", -- http://www.wowhead.com/?spell=16889
		"Arcane Elixir", -- http://www.wowhead.com/?spell=11390
		"Major Firepower", -- http://www.wowhead.com/?spell=28501
		"Greater Firepower", -- http://www.wowhead.com/?spell=26276
		"Fire Power", -- http://www.wowhead.com/?spell=7844
		"Major Frost Power", -- http://www.wowhead.com/?spell=28493
		"Frost Power", -- http://www.wowhead.com/?spell=21920
		"Major Shadow Power", -- http://www.wowhead.com/?spell=28503
		"Shadow Power", -- http://www.wowhead.com/?spell=11474
		"Major Strength", -- http://www.wowhead.com/?spell=28490
		"Bloodberry", -- http://www.wowhead.com/?spell=45373
		"Wrath Elixir", -- http://www.wowhead.com/?spell=53746
		"Spellpower Elixir", -- http://www.wowhead.com/?spell=33721
		"Guru's Elixir", -- http://www.wowhead.com/?spell=53749
		"Mighty Strength", -- http://www.wowhead.com/?spell=53748
		"Mighty Agility", -- http://www.wowhead.com/?spell=28497
		"Accuracy", -- http://www.wowhead.com/?spell=60340
		"Lightning Speed", -- http://www.wowhead.com/?spell=60346
		"Expertise", -- http://www.wowhead.com/?spell=60344
		"Deadly Strikes", -- http://www.wowhead.com/?spell=60341
		"Armor Piercing", -- http://www.wowhead.com/?spell=60345
		"Elixir of Minor Accuracy" -- http://ptr.wowhead.com/?spell=63729 (only available on the PTR at the moment)
		}

-- Name of the Well Fed buff. Remember, these names must match the name of the BUFF (not the food) in-game, otherwise the addon will not recognize it.
-- If you're unsure about it, you can use http://www.wowhead.com to check.
L["WELL_FED"] = "Well Fed"



--------------------------------------------------------------------------------
-- Strictness
--------------------------------------------------------------------------------
L["STRICT_GROUP_NAME"] = "Strictness"
L["STRICT_GROUP_DESC"] = [[
Use these settings to control how strict FlaskMinder is.

You can choose whether to watch for food buffs as well as whether two elixirs are required (when you dont have flask
]]

L["STRICT_FOOD_NAME"] = "Require Food Buff"
L["STRICT_FOOD_DESC"] = "Toggles whether to remind about food buff."

L["STRICT_ELIXIR_NAME"] = "Require TWO Elixirs"
L["STRICT_ELIXIR_DESC"] = "Toggles whether to insist upon TWO elixirs (battle AND guardian)."
--------------------------------------------------------------------------------


--------------------------------------------------------------------------------
-- Update
--------------------------------------------------------------------------------
L["UPDATE_GROUP_NAME"] = "Update Frequency"
L["UPDATE_GROUP_DESC"] = [[
Use these settings to control how often / when FlaskMinder will check your buffs.

Currently, only options for entering / exiting combat exist, may add timers and/or other events later
]]

L["UPDATE_ENTER_COMBAT_NAME"] = "Enter Combat"
L["UPDATE_ENTER_COMBAT_DESC"] = "Toggles whether to Check your buffs upon entering combat."

L["UPDATE_EXIT_COMBAT_NAME"] = "Exit Combat"
L["UPDATE_EXIT_COMBAT_DESC"] = "Toggles whether to Check your buffs upon exiting combat."
--------------------------------------------------------------------------------



--------------------------------------------------------------------------------
-- fnord
--------------------------------------------------------------------------------
L["FNORD"] = "fnord"
--------------------------------------------------------------------------------
